Squidguard update fails after upgrading pfSense 2.4.5-RELEASE-p1



  • I have the same issue with 2.4.5, 2.4.5-p1 and 2.5.0-DEVELOPMENT.

    It always involves one or more of the following packages:
    pfSense-pkg-ntopng
    pfSense-pkg-squidGuard
    pfSense-pkg-squid

    Whereby the first two are a recent addition, Squid gave be trouble for a while, in that it would fail upgrading, so each time I had to remove and install as separate steps. Now that fails, too.

    Some of them can be installed on the command line, some hang even there after "Writing configuration... done."



  • looks to be an issue on latest versions of package manager, not Squid or Squidguard or other packages related.
    There are also other post claiming same issue:
    https://forum.netgate.com/topic/154389/2-4-5r1-update-no-package-re-install



  • I was having the same issue. Solved it thusly:

    • squidGuard re-install was already in progress
    • Went to Services>Squid Proxy Server (PackageProxy Server: General SettingsGeneral)
    • UN-checked "Enable Squid Proxy"
    • Save
    • Re-install continued and completed
    • Re-enable Squid.

    ***This was after several attempts to upgrade, uninstall, reinstall, killall... YMMV.

    UPDATE - 20200618: Checked the package manager and Squid showed an update. Ran the update and this time Squid encountered the same problem as squidGuard above. Applied the same solution and it worked, again.



  • @tmsongster This worked for me. Thank you.



  • @tmsongster thanks for your solution it also worked for me too !



  • @tmsongster Thanks it worked for me too.

    • Installed Squid (Still "Writing Configuration"...)
    • Kill install
    • Disable Squid service
    • Reinstall Squid => OK
    • Install SquiGuard => OK
    • Enable Squid service


  • Manually stopping the services before updating seemed to have work with both Squid and pfBlocker. Updates worked as expected then, but then have to manually start services again as well. Odd bug.



  • I have the same problem...
    Last weekend i had to restore the whole machine from backup in order to get it working.
    So, should i wait for a p2 release which will correct this or should i try again with stopping the services before upgrade? Is this workaround confirmed?
    Thank you.



  • Hi,
    Seems to be not only squidguard.

    On my Box i had the same problems with squid and also with upgrading frr.

    I could get frr installing by killing the running frr daemon, but squid 'wanted' a "killall -9 pkg-static" or it was still stuck...

    Cheers



  • @pamidou Solved my problem Thanks Bro!



  • Screwed my update completely also.

    1. killall pkg
    2. pkg remove the squidpackage
    3. pkg remove the squidguardpackage
    4. run the upgrade
    5. reboot

    Done.

    Will not run squid on my pfsense again. Lesson learned.



  • @tmsongster Thanks!!! Disabling Squid allowed the upgrade.



  • @tmsongster Worked for me too !! Thanks



  • Thanks for this. This was the only issue I had upgrading my MBT-4220.



  • I also have the same behaviour but with the two following package :
    pfSense-pkg-ntopng (rcfa seems to have the same issue.)
    pfSense-pkg-haproxy

    When I try to reinstall or upgrade one of these package it it stays stuck indefinitely after showing "Writing configuration... done." :

    Reinstalling pfSense-pkg-haproxy
    >>> Upgrading pfSense-pkg-haproxy... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking integrity... done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):
    
    Installed packages to be REINSTALLED:
    	pfSense-pkg-haproxy-0.60_4 [pfSense]
    
    Number of packages to be reinstalled: 1
    [1/1] Reinstalling pfSense-pkg-haproxy-0.60_4...
    [1/1] Extracting pfSense-pkg-haproxy-0.60_4: .......... done
    Removing haproxy components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Deinstall commands... done.
    Syslog entries... done.
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    

    I've upgraded my current installation from 2.4.4-p3 to 2.4.5-p1 and I have the issue.

    I've upgraded a fresh install 2.4.5 to 2.4.5-p1 and restored a backup of my configuration after the upgrade and I have the same issue.

    So it seems to me that there's a bug preventing the upgrade to finish on multiple packages on the version 2.4.5-p1.



  • Hello everyone;

    Same issue here. But the problem are with the suricata and e2guardian packages. I'm following this to try to solve this issue.



  • Same issue here. Packagemanager has troubles on 2.4.5-p1.
    I've upgraded my pfsense boxes to 2.4.5p1 and now i can not remove or add packages.
    If i restore my config on an fresh installed 2.4.5p1 - pfsense reboots and hung on
    "Packages are currently being reinstalled in the background."
    "Do not make changes in the GUI until this is complete."



  • After edit manually the config.xml file, and add the suricata entries, this fixed the problem. E2guardian, however, still remains with problems, because isn't possible to install the package. I've made a clean and fresh install of pfsense, and restored the backup, but, with no success.



  • @tmsongster

    Thanks!!!!! This worked for for each of the 11 Netgate devices I manage.



  • Thanks @tmsongster, solved the issue!



  • I had the same issues. The cause seems to be the update process is waiting for input that is not expected.

    If i update via the command line and the updates hangs, i just press enter. The it continues.



  • @tmsongster Thanks This worked for me.



  • Will this be fixed in the next update?



  • @tmsongster UPDATE 20200828: Similar issue today - squidGuard update stalled, would not complete.

    • Attempted squidGuard update from Package Manager, would not complete
    • Broke the law and went back to Package Manager > Installed Packages which showed squidGuard update failed
    • Then to Services / Package / Proxy Server: General Settings / General
    • Unchecked "Check to enable the Squid proxy."
    • Went back and updated squidGuard in Package Manager (success!)
    • Re-enabled Squid proxy (Checked "Check to enable the Squid proxy.")
    • At this point for me, the squidGuard service was stopped. Restarting from Dashboard failed
    • Restarted squidGuard:
      1. Services / Package / Proxy filter SquidGuard: General settings / General settings
      2. Checked "Enable: Check this option to enable squidGuard. (Read the text about "target categories")
      3. "Apply"
      4. "Save" (at bottom)

    Peace and harmony. Similar steps as 16 Jun 2020, but had to jumpstart squidGuard at the end.



  • @tmsongster SALAM, Thank you ,the problem solved.



  • I had the same problem. Turned off ClamAV in Squid and problem solved.


Log in to reply